part of 'land_subclassification_bloc.dart';

class LandSubclassificationEvent extends Equatable {
  const LandSubclassificationEvent();

  @override
  List<Object> get props => [];
}

class AddLandSubClassification extends LandSubclassificationEvent {
  final int id;
  final int classificationId;
  final String cityCode;
  final String subclassCode;
  final String subclassDescription;
  final String baseUnitMarketval;

  const AddLandSubClassification({
    required this.id,
    required this.classificationId,
    required this.cityCode,
    required this.subclassCode,
    required this.subclassDescription,
    required this.baseUnitMarketval,
  });

  @override
  List<Object> get props => [
        id,
        classificationId,
        cityCode,
        subclassCode,
        subclassDescription,
        baseUnitMarketval,
      ];
}

class LoadLandSubClassification extends LandSubclassificationEvent {
  const LoadLandSubClassification();

  @override
  List<Object> get props => [];
}

class LoadSpecificLandSubClassification extends LandSubclassificationEvent {
  final String cityCode;
  final int classCode;

  const LoadSpecificLandSubClassification(
      {required this.cityCode, required this.classCode});

  @override
  List<Object> get props => [cityCode, classCode];
}
