part of 'bldg_appraisal_offline_bloc.dart';

class BldgAppraisalOfflineEvent extends Equatable {
  const BldgAppraisalOfflineEvent();

  @override
  List<Object> get props => [];
}

class AddBldgAppraisal extends BldgAppraisalOfflineEvent {
  final int id;
  final int bldgapprDetailsId;
  final String assessedById;
  final String assessedByName;
  final String dateCreated;
  final String dateModified;
  final String unitconstructCost;
  final String buildingCore;
  final String unitconstructSubtotal;
  final String depreciationRate;
  final String depreciationCost;
  final String costAddItems;
  final String addItemsSubtotal;
  final String totalpercentDepreciation;
  final String marketValue;
  final String totalArea;
  final String actualUse;
  final String genCode;

  const AddBldgAppraisal(
      {required this.id,
      required this.bldgapprDetailsId,
      required this.assessedById,
      required this.assessedByName,
      required this.dateCreated,
      required this.dateModified,
      required this.unitconstructCost,
      required this.buildingCore,
      required this.unitconstructSubtotal,
      required this.depreciationRate,
      required this.depreciationCost,
      required this.costAddItems,
      required this.addItemsSubtotal,
      required this.totalpercentDepreciation,
      required this.marketValue,
      required this.totalArea,
      required this.actualUse,
      required this.genCode});

  @override
  List<Object> get props => [
        id,
        bldgapprDetailsId,
        assessedById,
        assessedByName,
        dateCreated,
        dateModified,
        unitconstructCost,
        buildingCore,
        unitconstructSubtotal,
        depreciationRate,
        depreciationCost,
        costAddItems,
        addItemsSubtotal,
        totalpercentDepreciation,
        marketValue,
        totalArea,
        actualUse,
        genCode
      ];
}

class FetchSingleBldgAppraisal extends BldgAppraisalOfflineEvent {
  final int id;
  const FetchSingleBldgAppraisal({required this.id});

  @override
  List<Object> get props => [id];
}

class UpdateAppraisal extends BldgAppraisalOfflineEvent {
  final PropertyAppraisal appraisal;
  final int id;

  const UpdateAppraisal({required this.id, required this.appraisal});

  @override
  List<Object> get props => [id, appraisal];
}
