part of 'bldg_assessment_offline_bloc.dart';

class BldgAssessmentOfflineEvent extends Equatable {
  const BldgAssessmentOfflineEvent();

  @override
  List<Object> get props => [];
}

class AddBldgAssessment extends BldgAssessmentOfflineEvent {
  final int id;
  final int bldgapprDetailsId;
  final String assessedById;
  final String assessedByName;
  final String dateCreated;
  final String dateModified;
  final String actualUse;
  final String marketValue;
  final String assessmentLevel;
  final String assessedValue;
  final String taxable;
  final String exempt;
  final String qtr;
  final int yr;
  final String appraisedbyName;
  final String appraisedbyDate;
  final String recommendapprName;
  final String recommendapprDate;
  final String approvedbyName;
  final String approvedbyDate;
  final String memoranda;
  final String swornstatementNo;
  final String dateReceived;
  final String entryDateAssessment;
  final String entryDateBy;
  final String genCode;
  final String note;
  final String appraisedbyDesignation;
  final String recommendapprDesignation;
  final String approvedbyDesignation;

  const AddBldgAssessment({
    required this.id,
    required this.bldgapprDetailsId,
    required this.assessedById,
    required this.assessedByName,
    required this.dateCreated,
    required this.dateModified,
    required this.actualUse,
    required this.marketValue,
    required this.assessmentLevel,
    required this.assessedValue,
    required this.taxable,
    required this.exempt,
    required this.qtr,
    required this.yr,
    required this.appraisedbyName,
    required this.appraisedbyDate,
    required this.recommendapprName,
    required this.recommendapprDate,
    required this.approvedbyName,
    required this.approvedbyDate,
    required this.memoranda,
    required this.swornstatementNo,
    required this.dateReceived,
    required this.entryDateAssessment,
    required this.entryDateBy,
    required this.genCode,
    required this.note,
    required this.appraisedbyDesignation,
    required this.recommendapprDesignation,
    required this.approvedbyDesignation,
  });

  @override
  List<Object> get props => [
        id,
        bldgapprDetailsId,
        assessedById,
        assessedByName,
        dateCreated,
        dateModified,
        actualUse,
        marketValue,
        assessmentLevel,
        assessedValue,
        taxable,
        exempt,
        qtr,
        yr,
        appraisedbyName,
        appraisedbyDate,
        recommendapprName,
        recommendapprDate,
        approvedbyName,
        approvedbyDate,
        memoranda,
        swornstatementNo,
        dateReceived,
        entryDateAssessment,
        entryDateBy,
        genCode,
        note,
        appraisedbyDesignation,
        recommendapprDesignation,
        approvedbyDesignation,
      ];
}

class FetchSingleBldgAssessment extends BldgAssessmentOfflineEvent {
  final int id;
  const FetchSingleBldgAssessment({required this.id});

  @override
  List<Object> get props => [id];
}

class UpdateBldgAssessment extends BldgAssessmentOfflineEvent {
  final PropertyAssessment assessment;
  final int id;

  UpdateBldgAssessment({required this.id, required this.assessment});

  @override
  List<Object> get props => [id, assessment];
}
