part of 'building_and_structure_bloc.dart';

class BuildingAndStructureEvent extends Equatable {
  const BuildingAndStructureEvent();

  @override
  List<Object> get props => [];
}

class LoadBuildingAndStructure extends BuildingAndStructureEvent {
  final List<BldgAndStructure> bldgAndStructure;

  const LoadBuildingAndStructure(
      {this.bldgAndStructure = const <BldgAndStructure>[]});

  @override
  List<Object> get props => [bldgAndStructure];
}

class LoadBuildingAndStructureEdit extends BuildingAndStructureEvent {
  final List<BldgAndStructure> bldgAndStructure;
  final int? id;

  const LoadBuildingAndStructureEdit({required this.bldgAndStructure, this.id});

  @override
  List<Object> get props => [bldgAndStructure];
}

class AddBuildingAndStructure extends BuildingAndStructureEvent {
  final BldgAndStructure bldgAndStructure;

  const AddBuildingAndStructure({required this.bldgAndStructure});

  @override
  List<Object> get props => [bldgAndStructure];
}

class UpdateBuildingAndStructure extends BuildingAndStructureEvent {
  final BldgAndStructure addItems;
  const UpdateBuildingAndStructure({required this.addItems});
  @override
  List<Object> get props => [addItems];
}

class FetchBuildingAndStructure extends BuildingAndStructureEvent {
  const FetchBuildingAndStructure();

  @override
  List<Object> get props => [];
}

class FetchSpecificBuildingAndStructure extends BuildingAndStructureEvent {
  final int id;
  const FetchSpecificBuildingAndStructure({required this.id});

  @override
  List<Object> get props => [id];
}

class DeleteBuildingAndStructure extends BuildingAndStructureEvent {
  final int id;
  const DeleteBuildingAndStructure({required this.id});
  @override
  List<Object> get props => [id];
}

class ShowBuildingAndStructure extends BuildingAndStructureEvent {}
