part of 'landref_location_bloc.dart';

class LandrefLocationEvent extends Equatable {
  const LandrefLocationEvent();

  @override
  List<Object> get props => [];
}

class AddLandRef extends LandrefLocationEvent {
  final int id;
  final int bldgapprDetailsId;
  final String assessedById;
  final String assessedByName;
  final dynamic owner;
  final dynamic cloaNo;
  final dynamic lotNo;
  final dynamic tdn;
  final dynamic area;
  final dynamic surveyNo;
  final dynamic blkNo;
  final String dateCreated;
  final String dateModified;
  final String genCode;

  const AddLandRef(
      {required this.id,
      required this.bldgapprDetailsId,
      required this.assessedById,
      required this.assessedByName,
      required this.owner,
      required this.cloaNo,
      required this.lotNo,
      required this.tdn,
      required this.area,
      required this.surveyNo,
      required this.blkNo,
      required this.dateCreated,
      required this.dateModified,
      required this.genCode});

  @override
  List<Object> get props => [
        id,
        bldgapprDetailsId,
        assessedById,
        assessedByName,
        owner,
        cloaNo,
        lotNo,
        tdn,
        area,
        surveyNo,
        blkNo,
        dateCreated,
        dateModified,
        genCode
      ];
}

class UpdateBldgLandRef extends LandrefLocationEvent {
  final LandRef landRef;
  final int id;

  UpdateBldgLandRef({required this.id, required this.landRef});

  @override
  List<Object> get props => [id, landRef];
}

class FetchLanRef extends LandrefLocationEvent {
  const FetchLanRef();

  @override
  List<Object> get props => [];
}

class FetchSingleLandref extends LandrefLocationEvent {
  final int id;
  const FetchSingleLandref({required this.id});

  @override
  List<Object> get props => [id];
}

// class DeleteTodo extends LandrefLocationEvent {
//   final int id;
//   const DeleteTodo({required this.id});
//   @override
//   List<Object> get props => [id];
// }
