part of 'location_bloc.dart';

class LocationEvent extends Equatable {
  const LocationEvent();

  @override
  List<Object> get props => [];
}

class AddLocation extends LocationEvent {
  final int id;
  final int bldgapprDetailsId;
  final String assessedById;
  final String assessedByName;
  final String street;
  final String barangay;
  final String municipality;
  final String province;
  final String dateCreated;
  final String dateModified;
  final String genCode;

  const AddLocation(
      {required this.id,
      required this.bldgapprDetailsId,
      required this.assessedById,
      required this.assessedByName,
      required this.street,
      required this.barangay,
      required this.municipality,
      required this.province,
      required this.dateCreated,
      required this.dateModified,
      required this.genCode});

  @override
  List<Object> get props => [
        bldgapprDetailsId,
        assessedById,
        assessedByName,
        street,
        barangay,
        municipality,
        province,
        dateCreated,
        dateModified,
        genCode
      ];
}

class UpdateBldgLoc extends LocationEvent {
  final BldgLoc bldgLoc;
  final int id;

  UpdateBldgLoc({required this.id, required this.bldgLoc});

  @override
  List<Object> get props => [id, bldgLoc];
}

class FetchLanRef extends LocationEvent {
  const FetchLanRef();

  @override
  List<Object> get props => [];
}

class FetchSingleLocation extends LocationEvent {
  final int id;
  const FetchSingleLocation({required this.id});

  @override
  List<Object> get props => [id];
}

// class DeleteTodo extends LocationEvent {
//   final int id;
//   const DeleteTodo({required this.id});
//   @override
//   List<Object> get props => [id];
// }
