part of 'crud_bloc.dart';

abstract class CrudState extends Equatable {
  const CrudState();
}

class CrudInitial extends CrudState {
  @override
  List<Object> get props => [];
}

class PropertyOwnerInfoLoading extends CrudState {
  @override
  List<Object> get props => [];
}

class PropertyOwnerInfoErrorState extends CrudState {
  final String errorMessage;
  const PropertyOwnerInfoErrorState({required this.errorMessage});
  @override
  List<Object> get props => [errorMessage];
}

class PropertyInfoLoaded extends CrudState {
  final List<PropertyInfo> propertyInfos;

  const PropertyInfoLoaded({required this.propertyInfos});
  @override
  List<Object> get props => [propertyInfos];
}

class DisplaySpecificTodo extends CrudState {
  final Todo todo;

  const DisplaySpecificTodo({required this.todo});
  @override
  List<Object> get props => [todo];
}

class UploadBuildingFaasLoading extends CrudState {
  @override
  List<Object> get props => [];
}
