part of 'land_property_appraisal_bloc.dart';

class LandPropertyAppraisalEvent extends Equatable {
  const LandPropertyAppraisalEvent();

  @override
  List<Object> get props => [];
}

class LoadLandPropertyAppraisal extends LandPropertyAppraisalEvent {
  final List<LandAppr> landAppr;

  const LoadLandPropertyAppraisal({this.landAppr = const <LandAppr>[]});

  @override
  List<Object> get props => [landAppr];
}

class LoadLandPropertyAppraisalEdit extends LandPropertyAppraisalEvent {
  final List<LandAppr> landAppr;
  final int? id;

  const LoadLandPropertyAppraisalEdit({required this.landAppr, this.id});

  @override
  List<Object> get props => [landAppr];
}

class AddLandPropertyAppraisal extends LandPropertyAppraisalEvent {
  final int landapprDetailsId;
  final String classification;
  final String subClass;
  final String area;
  final String unitValue;
  final String baseMarketval;

  const AddLandPropertyAppraisal({
    required this.landapprDetailsId,
    required this.classification,
    required this.subClass,
    required this.area,
    required this.unitValue,
    required this.baseMarketval,
  });

  @override
  List<Object> get props => [
        landapprDetailsId,
        classification,
        subClass,
        area,
        unitValue,
        baseMarketval,
      ];
}

class UpdateLandPropertyAppraisal extends LandPropertyAppraisalEvent {
  final LandAppr landAppr;
  const UpdateLandPropertyAppraisal({required this.landAppr});
  @override
  List<Object> get props => [landAppr];
}

class FetchLandPropertyAppraisal extends LandPropertyAppraisalEvent {
  const FetchLandPropertyAppraisal();

  @override
  List<Object> get props => [];
}

class FetchSpecificLandPropertyAppraisal extends LandPropertyAppraisalEvent {
  final int id;
  const FetchSpecificLandPropertyAppraisal({required this.id});

  @override
  List<Object> get props => [id];
}

class DeleteLandPropertyAppraisal extends LandPropertyAppraisalEvent {
  final int id;
  const DeleteLandPropertyAppraisal({required this.id});
  @override
  List<Object> get props => [id];
}

class ShowAdditionalItems extends LandPropertyAppraisalEvent {}
