part of 'land_property_assessment_bloc.dart';

class LandPropertyAssessmentEvent extends Equatable {
  const LandPropertyAssessmentEvent();

  @override
  List<Object> get props => [];
}

class LoadLandPropertyAssessment extends LandPropertyAssessmentEvent {
  final List<LandPropertyAssessment> landPropertyAssessment;

  const LoadLandPropertyAssessment(
      {this.landPropertyAssessment = const <LandPropertyAssessment>[]});

  @override
  List<Object> get props => [landPropertyAssessment];
}

class LoadLandPropertyAssessmentEdit extends LandPropertyAssessmentEvent {
  final List<LandPropertyAssessment> landPropertyAssessment;
  final int? id;

  const LoadLandPropertyAssessmentEdit(
      {required this.landPropertyAssessment, this.id});

  @override
  List<Object> get props => [landPropertyAssessment];
}

class AddLandPropertyAssessment extends LandPropertyAssessmentEvent {
  final int landapprDetailsId;
  final String actualUse;
  final String marketval;
  final String assessmentLevel;
  final String assessedValue;
  final String totalMarketval;
  final String totalAssessedval;

  const AddLandPropertyAssessment({
    required this.landapprDetailsId,
    required this.actualUse,
    required this.marketval,
    required this.assessmentLevel,
    required this.assessedValue,
    required this.totalMarketval,
    required this.totalAssessedval,
  });

  @override
  List<Object> get props => [
        landapprDetailsId,
        actualUse,
        marketval,
        assessmentLevel,
        assessedValue,
        totalMarketval,
        totalAssessedval,
      ];
}

class UpdateLandPropertyAssessment extends LandPropertyAssessmentEvent {
  final LandPropertyAssessment landPropertyAssessment;
  const UpdateLandPropertyAssessment({required this.landPropertyAssessment});
  @override
  List<Object> get props => [landPropertyAssessment];
}

class FetchLandPropertyAssessment extends LandPropertyAssessmentEvent {
  const FetchLandPropertyAssessment();

  @override
  List<Object> get props => [];
}

class FetchSpecificLandPropertyAssessment extends LandPropertyAssessmentEvent {
  final int id;
  const FetchSpecificLandPropertyAssessment({required this.id});

  @override
  List<Object> get props => [id];
}

class DeleteLandPropertyAssessment extends LandPropertyAssessmentEvent {
  final int id;
  const DeleteLandPropertyAssessment({required this.id});
  @override
  List<Object> get props => [id];
}

class ShowLandPropertyAssessment extends LandPropertyAssessmentEvent {}
