part of 'land_property_boundaries_bloc.dart';

class LandPropertyBoundariesEvent extends Equatable {
  const LandPropertyBoundariesEvent();

  @override
  List<Object> get props => [];
}

class AddLandPropertyBoundaries extends LandPropertyBoundariesEvent {
  final int id;
  final int landapprDetailsId;
  final String assessedById;
  final String assessedByName;
  final String dateCreated;
  final String dateModified;
  final String north;
  final String east;
  final String south;
  final String west;
  final String sketch;

  const AddLandPropertyBoundaries({
    required this.id,
    required this.landapprDetailsId,
    required this.assessedById,
    required this.assessedByName,
    required this.dateCreated,
    required this.dateModified,
    required this.north,
    required this.east,
    required this.south,
    required this.west,
    required this.sketch,
  });

  @override
  List<Object> get props => [
        id,
        landapprDetailsId,
        assessedById,
        assessedByName,
        dateCreated,
        dateModified,
        north,
        east,
        south,
        west,
        sketch,
      ];
}

class UpdateLandPropertyBoundaries extends LandPropertyBoundariesEvent {
  final LandPropertyBoundaries landPropertyBoundaries;
  final int id;

  UpdateLandPropertyBoundaries(
      {required this.id, required this.landPropertyBoundaries});

  @override
  List<Object> get props => [id, landPropertyBoundaries];
}

class FetchLanRef extends LandPropertyBoundariesEvent {
  const FetchLanRef();

  @override
  List<Object> get props => [];
}

class FetchSingleLandPropertyBoundaries extends LandPropertyBoundariesEvent {
  final int id;
  const FetchSingleLandPropertyBoundaries({required this.id});

  @override
  List<Object> get props => [id];
}
