part of 'land_property_location_bloc.dart';

class LandPropertyLocationEvent extends Equatable {
  const LandPropertyLocationEvent();

  @override
  List<Object> get props => [];
}

class AddLandPropertyLocation extends LandPropertyLocationEvent {
  final int id;
  final int landapprDetailsId;
  final String assessedById;
  final String assessedByName;
  final String dateCreated;
  final String dateModified;
  final String street;
  final String municipality;
  final String barangay;
  final String province;

  const AddLandPropertyLocation({
    required this.id,
    required this.landapprDetailsId,
    required this.assessedById,
    required this.assessedByName,
    required this.dateCreated,
    required this.dateModified,
    required this.street,
    required this.municipality,
    required this.barangay,
    required this.province,
  });

  @override
  List<Object> get props => [
        id,
        landapprDetailsId,
        assessedById,
        assessedByName,
        dateCreated,
        dateModified,
        street,
        municipality,
        barangay,
        province,
      ];
}

class UpdateLandPropertyLocation extends LandPropertyLocationEvent {
  final LandPropertyLoc landPropertyLocation;
  final int id;

  UpdateLandPropertyLocation(
      {required this.id, required this.landPropertyLocation});

  @override
  List<Object> get props => [id, landPropertyLocation];
}

class LoadLandPropertyLocation extends LandPropertyLocationEvent {
  const LoadLandPropertyLocation();

  @override
  List<Object> get props => [];
}

class FetchLanRef extends LandPropertyLocationEvent {
  const FetchLanRef();

  @override
  List<Object> get props => [];
}

class FetchSingleLandPropertyLocation extends LandPropertyLocationEvent {
  final int id;
  const FetchSingleLandPropertyLocation({required this.id});

  @override
  List<Object> get props => [id];
}
