part of 'land_property_owner_bloc.dart';

class LandPropertyOwnerEvent extends Equatable {
  const LandPropertyOwnerEvent();

  @override
  List<Object> get props => [];
}

class AddLandPropertyOwner extends LandPropertyOwnerEvent {
  final int id;
  final String assessedById;
  final String assessedByName;
  final String dateCreated;
  final String dateModified;
  final String transCode;
  final String tdn;
  final String pin;
  final String cloaNo;
  final String dated;
  final String surveyNo;
  final String lotNo;
  final String blkNo;
  final String owner;
  final String address;
  final String telno;
  final String tin;
  final String adminUser;
  final String adminAddress;
  final String adminTelno;
  final String adminTin;
  final String faasType;

  const AddLandPropertyOwner(
      {required this.id,
      required this.assessedById,
      required this.assessedByName,
      required this.dateCreated,
      required this.dateModified,
      required this.transCode,
      required this.tdn,
      required this.pin,
      required this.cloaNo,
      required this.dated,
      required this.surveyNo,
      required this.lotNo,
      required this.blkNo,
      required this.owner,
      required this.address,
      required this.telno,
      required this.tin,
      required this.adminUser,
      required this.adminTelno,
      required this.adminAddress,
      required this.adminTin,
      required this.faasType});

  @override
  List<Object> get props => [
        id,
        assessedById,
        assessedByName,
        dateCreated,
        dateModified,
        transCode,
        tdn,
        pin,
        cloaNo,
        dated,
        surveyNo,
        lotNo,
        blkNo,
        owner,
        address,
        telno,
        tin,
        adminUser,
        adminTelno,
        adminAddress,
        adminTin,
        faasType
      ];
}

class UpdateLandPropertyOwnerInfo extends LandPropertyOwnerEvent {
  final LandPropertyOwner landPropertyOwner;
  final int id;

  const UpdateLandPropertyOwnerInfo(
      {required this.id, required this.landPropertyOwner});

  @override
  List<Object> get props => [id, landPropertyOwner];
}

class LoadLandPropertyOwner extends LandPropertyOwnerEvent {
  const LoadLandPropertyOwner();

  @override
  List<Object> get props => [];
}

class LoadSpecificLandPropertyOwnerInfo extends LandPropertyOwnerEvent {
  final int id;
  const LoadSpecificLandPropertyOwnerInfo({required this.id});

  @override
  List<Object> get props => [id];
}

class DeleteLandPropertyOwner extends LandPropertyOwnerEvent {
  final int id;
  const DeleteLandPropertyOwner({required this.id});
  @override
  List<Object> get props => [id];
}
