part of 'land_property_signature_bloc.dart';

class LandPropertySignatureEvent extends Equatable {
  const LandPropertySignatureEvent();

  @override
  List<Object> get props => [];
}

class AddLandPropertySignature extends LandPropertySignatureEvent {
  final int id;
  final int landapprDetailsId;
  final String assessedById;
  final String assessedByName;
  final String dateCreated;
  final String dateModified;
  final String taxable;
  final String exempt;
  final String qtr;
  final String yr;
  final String appraisedbyName;
  final String appraisedbyDate;
  final String recommendapprName;
  final String recommendapprDate;
  final String approvedbyName;
  final String approvedbyDate;
  final String memoranda;
  final String swornstatementNo;
  final String dateReceived;
  final String entryDateAssessment;
  final String entryDateBy;

  const AddLandPropertySignature({
    required this.id,
    required this.landapprDetailsId,
    required this.assessedById,
    required this.assessedByName,
    required this.dateCreated,
    required this.dateModified,
    required this.taxable,
    required this.exempt,
    required this.qtr,
    required this.yr,
    required this.appraisedbyName,
    required this.appraisedbyDate,
    required this.recommendapprName,
    required this.recommendapprDate,
    required this.approvedbyName,
    required this.approvedbyDate,
    required this.memoranda,
    required this.swornstatementNo,
    required this.dateReceived,
    required this.entryDateAssessment,
    required this.entryDateBy,
  });

  @override
  List<Object> get props => [
        id,
        landapprDetailsId,
        assessedById,
        assessedByName,
        dateCreated,
        dateModified,
        taxable,
        exempt,
        qtr,
        yr,
        appraisedbyName,
        appraisedbyDate,
        recommendapprName,
        recommendapprDate,
        approvedbyName,
        approvedbyDate,
        memoranda,
        swornstatementNo,
        dateReceived,
        entryDateAssessment,
        entryDateBy,
      ];
}

class UpdateLandPropertySignatureInfo extends LandPropertySignatureEvent {
  final LandExt landPropertySignature;
  final int id;

  const UpdateLandPropertySignatureInfo(
      {required this.id, required this.landPropertySignature});

  @override
  List<Object> get props => [id, landPropertySignature];
}

class LoadLandPropertySignature extends LandPropertySignatureEvent {
  const LoadLandPropertySignature();

  @override
  List<Object> get props => [];
}

class LoadSpecificLandPropertySignatureInfo extends LandPropertySignatureEvent {
  final int id;
  const LoadSpecificLandPropertySignatureInfo({required this.id});

  @override
  List<Object> get props => [id];
}

class DeleteLandPropertySignature extends LandPropertySignatureEvent {
  final int id;
  const DeleteLandPropertySignature({required this.id});
  @override
  List<Object> get props => [id];
}
