part of 'other_improvements_bloc.dart';

class OtherImprovementsEvent extends Equatable {
  const OtherImprovementsEvent();

  @override
  List<Object> get props => [];
}

class LoadOtherImprovements extends OtherImprovementsEvent {
  final List<OtherImprovements> otherImprovements;

  const LoadOtherImprovements(
      {this.otherImprovements = const <OtherImprovements>[]});

  @override
  List<Object> get props => [otherImprovements];
}

class LoadOtherImprovementsEdit extends OtherImprovementsEvent {
  final List<OtherImprovements> otherImprovements;
  final int? id;

  const LoadOtherImprovementsEdit({required this.otherImprovements, this.id});

  @override
  List<Object> get props => [otherImprovements];
}

class AddOtherImprovements extends OtherImprovementsEvent {
  final int landapprDetailsId;
  final String kindsOfTrees;
  final String subclassAge;
  final int quantity;
  final String unitValue;
  final String baseMarketval;
  final int noOfProductive;
  final int noOfNonproductive;
  final String fruitBearing;

  const AddOtherImprovements({
    required this.landapprDetailsId,
    required this.kindsOfTrees,
    required this.subclassAge,
    required this.quantity,
    required this.unitValue,
    required this.baseMarketval,
    required this.noOfProductive,
    required this.noOfNonproductive,
    required this.fruitBearing,
  });

  @override
  List<Object> get props => [
        landapprDetailsId,
        kindsOfTrees,
        subclassAge,
        quantity,
        unitValue,
        baseMarketval,
        noOfProductive,
        noOfNonproductive,
        fruitBearing,
      ];
}

class UpdateOtherImprovements extends OtherImprovementsEvent {
  final OtherImprovements otherImprovements;
  const UpdateOtherImprovements({required this.otherImprovements});
  @override
  List<Object> get props => [otherImprovements];
}

class FetchOtherImprovements extends OtherImprovementsEvent {
  const FetchOtherImprovements();

  @override
  List<Object> get props => [];
}

class FetchSpecificOtherImprovements extends OtherImprovementsEvent {
  final int id;
  const FetchSpecificOtherImprovements({required this.id});

  @override
  List<Object> get props => [id];
}

class DeleteOtherImprovements extends OtherImprovementsEvent {
  final int id;
  const DeleteOtherImprovements({required this.id});
  @override
  List<Object> get props => [id];
}

class ShowOtherImprovement extends OtherImprovementsEvent {}
