part of 'value_adjustment_bloc.dart';

class ValueAdjustmentEvent extends Equatable {
  const ValueAdjustmentEvent();

  @override
  List<Object> get props => [];
}

class LoadValueAdjustment extends ValueAdjustmentEvent {
  final List<ValueAdjustments> valueAdjustment;

  const LoadValueAdjustment(
      {this.valueAdjustment = const <ValueAdjustments>[]});

  @override
  List<Object> get props => [valueAdjustment];
}

class LoadValueAdjustmentEdit extends ValueAdjustmentEvent {
  final List<ValueAdjustments> valueAdjustment;
  final int? id;

  const LoadValueAdjustmentEdit(
      {required this.valueAdjustment, required this.id});

  @override
  List<Object> get props => [valueAdjustment];
}

class AddValueAdjustments extends ValueAdjustmentEvent {
  final int landapprDetailsId;
  final String baseMarketval;
  final String adjustmentFactors;
  final String adjustment;
  final String valueAdjustment;
  final String marketValue;

  const AddValueAdjustments({
    required this.landapprDetailsId,
    required this.baseMarketval,
    required this.adjustmentFactors,
    required this.adjustment,
    required this.valueAdjustment,
    required this.marketValue,
  });

  @override
  List<Object> get props => [
        landapprDetailsId,
        baseMarketval,
        adjustmentFactors,
        adjustment,
        valueAdjustment,
        marketValue,
      ];
}

class UpdateValueAdjustment extends ValueAdjustmentEvent {
  final ValueAdjustments valueAdjustment;
  const UpdateValueAdjustment({required this.valueAdjustment});
  @override
  List<Object> get props => [valueAdjustment];
}

class FetchValueAdjustment extends ValueAdjustmentEvent {
  const FetchValueAdjustment();

  @override
  List<Object> get props => [];
}

class FetchSpecificValueAdjustment extends ValueAdjustmentEvent {
  final int id;
  const FetchSpecificValueAdjustment({required this.id});

  @override
  List<Object> get props => [id];
}

class DeleteValueAdjustment extends ValueAdjustmentEvent {
  final int id;
  const DeleteValueAdjustment({required this.id});
  @override
  List<Object> get props => [id];
}

class ShowValueAdjustment extends ValueAdjustmentEvent {}
