part of 'additional_item_bloc.dart';

abstract class AdditionalItemEvent extends Equatable {
  const AdditionalItemEvent();

  @override
  List<Object> get props => [];
}

class LoadAdditionalItems extends AdditionalItemEvent {
  final List<AdditionalItems> items;

  const LoadAdditionalItems({this.items = const <AdditionalItems>[]});

  @override
  List<Object> get props => [items];
}

class AddAdditionalItems extends AdditionalItemEvent {
  final AdditionalItems items;

  const AddAdditionalItems({required this.items});

  @override
  List<Object> get props => [items];
}

class DeleteAdditionalItems extends AdditionalItemEvent {
  final int id;

  const DeleteAdditionalItems({required this.id});

  @override
  List<Object> get props => [id];
}

class ShowAdditionalItems extends AdditionalItemEvent {}
