part of 'property_appraisal_bloc.dart';

abstract class PropertyAppraisalState extends Equatable {
  const PropertyAppraisalState();

  @override
  List<Object> get props => [];
}

class PropertyAppraisalInitial extends PropertyAppraisalState {}

class PropertyAppraisalLoading extends PropertyAppraisalState {}

class PropertyAppraisalLoaded extends PropertyAppraisalState {
  PropertyAppraisalLoaded(this.appraisal);
  final PropertyAppraisal appraisal;

  @override
  List<Object> get props => [appraisal];
}

class PropertyAppraisalErrorState extends PropertyAppraisalState {
  PropertyAppraisalErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}

class ShowPropertyAppraisalErrorAlertState extends PropertyAppraisalState {}

class ShowPropertyAppraisalSuccessAlertState extends PropertyAppraisalState {}
