part of 'property_assessment_bloc.dart';

abstract class PropertyAssessmentEvent extends Equatable {
  const PropertyAssessmentEvent();

  @override
  List<Object> get props => [];
}

class LoadPropertyAssessment extends PropertyAssessmentEvent {
  final List<PropertyAssessment> assessments;

  const LoadPropertyAssessment(
      {this.assessments = const <PropertyAssessment>[]});

  @override
  List<Object> get props => [assessments];
}

class AddPropertyAssessment extends PropertyAssessmentEvent {
  final PropertyAssessment assessments;

  const AddPropertyAssessment({required this.assessments});

  @override
  List<Object> get props => [assessments];
}

class UpdatePropertyAssessment extends PropertyAssessmentEvent {
  // ignore: non_constant_identifier_names
  final PropertyAssessment assessment;

  // ignore: non_constant_identifier_names
  const UpdatePropertyAssessment({required this.assessment});

  @override
  List<Object> get props => [assessment];
}
