part of 'property_info_bloc.dart';

abstract class PropertyInfoEvent extends Equatable {
  const PropertyInfoEvent();

  @override
  List<Object> get props => [];
}

class LoadPropertyInfo extends PropertyInfoEvent {
  final List<PropertyInfo> property_info;

  const LoadPropertyInfo({this.property_info = const <PropertyInfo>[]});

  @override
  List<Object> get props => [property_info];
}

class AddPropertyInfo extends PropertyInfoEvent {
  final PropertyInfo property_info;

  const AddPropertyInfo({required this.property_info});

  @override
  List<Object> get props => [property_info];
}

class UpdatPropertyInfo extends PropertyInfoEvent {
  // ignore: non_constant_identifier_names
  final PropertyInfo property_info;

  // ignore: non_constant_identifier_names
  const UpdatPropertyInfo({required this.property_info});

  @override
  List<Object> get props => [property_info];
}

class UpdateBldgLoc extends PropertyInfoEvent {
  // ignore: non_constant_identifier_names
  final BldgLoc bldg_loc;

  // ignore: non_constant_identifier_names
  const UpdateBldgLoc({required this.bldg_loc});

  @override
  List<Object> get props => [bldg_loc];
}

class UpdateLandRef extends PropertyInfoEvent {
  final LandRef land_ref;

  const UpdateLandRef({required this.land_ref});

  @override
  List<Object> get props => [land_ref];
}

class UpdateGeneralDesc extends PropertyInfoEvent {
  final GeneralDesc gen_desc;

  const UpdateGeneralDesc({required this.gen_desc});

  @override
  List<Object> get props => [gen_desc];
}

class UpdateStrucMaterials extends PropertyInfoEvent {
  final StructureMaterialsII data;

  const UpdateStrucMaterials({required this.data});

  @override
  List<Object> get props => [data];
}

class DeleteBuildingFaas extends PropertyInfoEvent {
  final int id;

  const DeleteBuildingFaas({required this.id});

  @override
  List<Object> get props => [id];
}

class ShowBldgLocErrorAlert extends PropertyInfoEvent {}

class ShowLandRefErrorAlert extends PropertyInfoEvent {}
