part of 'property_info_bloc.dart';

abstract class PropertyInfoState extends Equatable {
  const PropertyInfoState();

  @override
  List<Object> get props => [];
}

class PropertyInfoLoading extends PropertyInfoState {}

class PropertyInfoLoaded extends PropertyInfoState {
  const PropertyInfoLoaded(this.property_info);
  final List<PropertyInfo> property_info;

  @override
  List<Object> get props => [property_info];
}

class PropertyInfoErrorState extends PropertyInfoState {
  const PropertyInfoErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}

class BuildingFaasDeletedState extends PropertyInfoState {
  final bool success;
  const BuildingFaasDeletedState({required this.success});
  @override
  List<Object> get props => [success];
}

class ShowBldgLocErrorAlertState extends PropertyInfoState {}

class ShowLandRefErrorAlertState extends PropertyInfoState {}

class ShowGenDescErrorAlertState extends PropertyInfoState {}

class ShowStrucMatErrorAlertState extends PropertyInfoState {}

class ShowStrucMatSuccessAlertState extends PropertyInfoState {}

class ShowBldgLocSuccessAlertState extends PropertyInfoState {}

class ShowLandRefSuccessAlertState extends PropertyInfoState {}

class ShowGenDescSuccessAlertState extends PropertyInfoState {}
