part of 'land_appraisal_bloc.dart';

class LandAppraisalEvent extends Equatable {
  const LandAppraisalEvent();

  @override
  List<Object> get props => [];
}

class LoadLandAppraisal extends LandAppraisalEvent {
  final List<LandAppr> land_appr;

  const LoadLandAppraisal({this.land_appr = const <LandAppr>[]});

  @override
  List<Object> get props => [land_appr];
}

class LoadLandAppraisalEdit extends LandAppraisalEvent {
  final List<LandAppr> land_appr;
  final int id;

  const LoadLandAppraisalEdit({required this.land_appr, required this.id});

  @override
  List<Object> get props => [land_appr];
}

class AddLandAppraisal extends LandAppraisalEvent {
  final LandAppr land_appr;

  const AddLandAppraisal({required this.land_appr});

  @override
  List<Object> get props => [land_appr];
}

class DeleteLandAppraisal extends LandAppraisalEvent {
  final int id;

  const DeleteLandAppraisal({required this.id});

  @override
  List<Object> get props => [id];
}

class ShowLandAppraisal extends LandAppraisalEvent {}
