part of 'land_property_assessment_bloc.dart';

class LandPropertyAssessmentEvent extends Equatable {
  const LandPropertyAssessmentEvent();

  @override
  List<Object> get props => [];
}

class LoadLandPropertyAssessment extends LandPropertyAssessmentEvent {
  final List<LandPropertyAssessment> assessment;

  const LoadLandPropertyAssessment(
      {this.assessment = const <LandPropertyAssessment>[]});

  @override
  List<Object> get props => [assessment];
}

class LoadLandPropertyAssessmentEdit extends LandPropertyAssessmentEvent {
  final List<LandPropertyAssessment> assessment;
  final int id;

  const LoadLandPropertyAssessmentEdit(
      {required this.assessment, required this.id});

  @override
  List<Object> get props => [assessment];
}

class AddLandPropertyAssessment extends LandPropertyAssessmentEvent {
  final LandPropertyAssessment assessment;

  const AddLandPropertyAssessment({required this.assessment});

  @override
  List<Object> get props => [assessment];
}

class DeleteLandPropertyAssessment extends LandPropertyAssessmentEvent {
  final int id;

  const DeleteLandPropertyAssessment({required this.id});

  @override
  List<Object> get props => [id];
}

class ShowLandPropertyAssessment extends LandPropertyAssessmentEvent {}
