part of 'land_property_owner_info_bloc.dart';

class LandPropertyOwnerInfoEvent extends Equatable {
  const LandPropertyOwnerInfoEvent();

  @override
  List<Object> get props => [];
}

class LoadLand extends LandPropertyOwnerInfoEvent {
  final List<LandPropertyOwner> land;

  const LoadLand({this.land = const <LandPropertyOwner>[]});

  @override
  List<Object> get props => [land];
}

class AddPropertyOwnerLand extends LandPropertyOwnerInfoEvent {
  final LandPropertyOwner land;

  const AddPropertyOwnerLand({required this.land});

  @override
  List<Object> get props => [land];
}

class UpdateLandPropertyOwner extends LandPropertyOwnerInfoEvent {
  // ignore: non_constant_identifier_names
  final LandPropertyOwner land_edit;
  final int id;

  // ignore: non_constant_identifier_names
  const UpdateLandPropertyOwner({required this.land_edit, required this.id});

  @override
  List<Object> get props => [land_edit];
}

class UpdateLandLoc extends LandPropertyOwnerInfoEvent {
  // ignore: non_constant_identifier_names
  final LandPropertyLoc land_loc;

  // ignore: non_constant_identifier_names
  const UpdateLandLoc({required this.land_loc});

  @override
  List<Object> get props => [land_loc];
}

class UpdateLandBoundaries extends LandPropertyOwnerInfoEvent {
  // ignore: non_constant_identifier_names
  final LandPropertyBoundaries land_boundaries;

  // ignore: non_constant_identifier_names
  const UpdateLandBoundaries({required this.land_boundaries});

  @override
  List<Object> get props => [land_boundaries];
}

class DeleteLandFaas extends LandPropertyOwnerInfoEvent {
  final int id;

  const DeleteLandFaas({required this.id});

  @override
  List<Object> get props => [id];
}
