// To parse this JSON data, do
//
//     final landPropertyAssessment = landPropertyAssessmentFromJson(jsonString);

import 'dart:convert';

LandPropertyAssessment landPropertyAssessmentFromJson(String str) =>
    LandPropertyAssessment.fromJson(json.decode(str));

String landPropertyAssessmentToJson(LandPropertyAssessment data) =>
    json.encode(data.toJson());

class LandPropertyAssessment {
  final int? id;
  final int? landapprDetailsId;
  final String? actualUse;
  final String? marketval;
  final String? assessmentLevel;
  final String? assessedValue;
  final String? totalMarketval;
  final String? totalAssessedval;

  LandPropertyAssessment({
    this.id,
    this.landapprDetailsId,
    this.actualUse,
    this.marketval,
    this.assessmentLevel,
    this.assessedValue,
    this.totalMarketval,
    this.totalAssessedval,
  });

  LandPropertyAssessment copy({
    final int? id,
    final int? landapprDetailsId,
    final String? actualUse,
    final String? marketval,
    final String? assessmentLevel,
    final String? assessedValue,
    final String? totalMarketval,
    final String? totalAssessedval,
  }) {
    return LandPropertyAssessment(
      id: id ?? this.id,
      landapprDetailsId: landapprDetailsId ?? this.landapprDetailsId,
      actualUse: actualUse ?? this.actualUse,
      marketval: marketval ?? this.marketval,
      assessmentLevel: assessmentLevel ?? this.assessmentLevel,
      assessedValue: assessedValue ?? this.assessedValue,
      totalMarketval: totalMarketval ?? this.totalMarketval,
      totalAssessedval: totalAssessedval ?? this.totalAssessedval,
    );
  }

  factory LandPropertyAssessment.fromJson(Map<String, dynamic> json) =>
      LandPropertyAssessment(
        id: json["id"],
        landapprDetailsId: json["landappr_details_id"],
        actualUse: json["actual_use"],
        marketval: json["marketval"],
        assessmentLevel: json["assessment_level"],
        assessedValue: json["assessed_value"],
        totalMarketval: json["total_marketval"],
        totalAssessedval: json["total_assessedval"],
      );

  factory LandPropertyAssessment.fromJson2(Map<String, dynamic> json) =>
      LandPropertyAssessment(
        id: json["id"],
        landapprDetailsId: json["landapprDetailsId"],
        actualUse: json["actualUse"],
        marketval: json["marketval"],
        assessmentLevel: json["assessmentLevel"],
        assessedValue: json["assessedValue"],
        totalMarketval: json["totalMarketval"],
        totalAssessedval: json["totalAssessedval"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "landappr_details_id": landapprDetailsId,
        "actual_use": actualUse,
        "marketval": marketval,
        "assessment_level": assessmentLevel,
        "assessed_value": assessedValue,
        "total_marketval": totalMarketval,
        "total_assessedval": totalAssessedval,
      };
}
