// To parse this JSON data, do
//
//     final landPropertyBoundaries = landPropertyBoundariesFromJson(jsonString);

import 'dart:convert';

LandPropertyBoundaries landPropertyBoundariesFromJson(String str) =>
    LandPropertyBoundaries.fromJson(json.decode(str));

String landPropertyBoundariesToJson(LandPropertyBoundaries data) =>
    json.encode(data.toJson());

class LandPropertyBoundaries {
  final int? id;
  final int? landapprDetailsId;
  final String? assessedById;
  final String? assessedByName;
  final String? dateCreated;
  final String? dateModified;
  final String? north;
  final String? east;
  final String? south;
  final String? west;
  final String? sketch;

  LandPropertyBoundaries({
    this.id,
    this.landapprDetailsId,
    this.assessedById,
    this.assessedByName,
    this.dateCreated,
    this.dateModified,
    this.north,
    this.east,
    this.south,
    this.west,
    this.sketch,
  });

  LandPropertyBoundaries copy({
    final int? id,
    final int? landapprDetailsId,
    final String? assessedById,
    final String? assessedByName,
    final String? dateCreated,
    final String? dateModified,
    final String? north,
    final String? east,
    final String? south,
    final String? west,
    final String? sketch,
  }) {
    return LandPropertyBoundaries(
      id: id ?? this.id,
      landapprDetailsId: landapprDetailsId ?? this.landapprDetailsId,
      assessedById: assessedById ?? this.assessedById,
      assessedByName: assessedByName ?? this.assessedByName,
      dateCreated: dateCreated ?? this.dateCreated,
      dateModified: dateModified ?? this.dateModified,
      north: north ?? this.north,
      east: east ?? this.east,
      south: south ?? this.south,
      west: west ?? this.west,
      sketch: sketch ?? this.sketch,
    );
  }

  factory LandPropertyBoundaries.fromJson(Map<String, dynamic> json) =>
      LandPropertyBoundaries(
        id: json["id"],
        landapprDetailsId: json["landappr_details_id"],
        assessedById: json["assessed_by_id"],
        assessedByName: json["assessed_by_name"],
        dateCreated: json["date_created"],
        dateModified: json["date_modified"],
        north: json["north"],
        east: json["east"],
        south: json["south"],
        west: json["west"],
        sketch: json["sketch"],
      );

  factory LandPropertyBoundaries.fromJson2(Map<String, dynamic> json) =>
      LandPropertyBoundaries(
        id: json["id"],
        landapprDetailsId: json["landapprDetailsId"],
        assessedById: json["assessedById"],
        assessedByName: json["assessedByName"],
        dateCreated: json["dateCreated"],
        dateModified: json["dateModified"],
        north: json["north"],
        east: json["east"],
        south: json["south"],
        west: json["west"],
        sketch: json["sketch"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "landappr_details_id": landapprDetailsId,
        "assessed_by_id": assessedById,
        "assessed_by_name": assessedByName,
        "date_created": dateCreated,
        "date_modified": dateModified,
        "north": north,
        "east": east,
        "south": south,
        "west": west,
        "sketch": sketch,
      };
}
