// To parse this JSON data, do
//
//     final lnadPropertyLoc = lnadPropertyLocFromJson(jsonString);

import 'dart:convert';

LandPropertyLoc lnadPropertyLocFromJson(String str) =>
    LandPropertyLoc.fromJson(json.decode(str));

String lnadPropertyLocToJson(LandPropertyLoc data) =>
    json.encode(data.toJson());

class LandPropertyLoc {
  final int? id;
  final int? landapprDetailsId;
  final String? assessedById;
  final String? assessedByName;
  final String? dateCreated;
  final String? dateModified;
  final String? street;
  final String? municipality;
  final String? barangay;
  final String? province;

  LandPropertyLoc({
    this.id,
    this.landapprDetailsId,
    this.assessedById,
    this.assessedByName,
    this.dateCreated,
    this.dateModified,
    this.street,
    this.municipality,
    this.barangay,
    this.province,
  });

  LandPropertyLoc copy({
    int? id,
    int? landapprDetailsId,
    String? assessedById,
    String? assessedByName,
    String? dateCreated,
    String? dateModified,
    String? street,
    String? municipality,
    String? barangay,
    String? province,
  }) =>
      LandPropertyLoc(
        id: id,
        landapprDetailsId: landapprDetailsId,
        assessedById: assessedById,
        assessedByName: assessedByName,
        dateCreated: dateCreated,
        dateModified: dateModified,
        street: street,
        municipality: municipality,
        barangay: barangay,
        province: province,
      );

  factory LandPropertyLoc.fromJson(Map<String, dynamic> json) =>
      LandPropertyLoc(
        id: json["id"],
        landapprDetailsId: json["landappr_details_id"],
        assessedById: json["assessed_by_id"],
        assessedByName: json["assessed_by_name"],
        dateCreated: json["date_created"],
        dateModified: json["date_modified"],
        street: json["street"],
        municipality: json["municipality"],
        barangay: json["barangay"],
        province: json["province"],
      );

  factory LandPropertyLoc.fromJson2(Map<String, dynamic> json) =>
      LandPropertyLoc(
        id: json["id"],
        landapprDetailsId: json["landapprDetailsId"],
        assessedById: json["assessedById"],
        assessedByName: json["assessedByName"],
        dateCreated: json["dateCreated"],
        dateModified: json["dateModified"],
        street: json["street"],
        municipality: json["municipality"],
        barangay: json["barangay"],
        province: json["province"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "landappr_details_id": landapprDetailsId,
        "assessed_by_id": assessedById,
        "assessed_by_name": assessedByName,
        "date_created": dateCreated,
        "date_modified": dateModified,
        "street": street,
        "municipality": municipality,
        "barangay": barangay,
        "province": province,
      };
}
