// To parse this JSON data, do
//
//     final valueAdjustments = valueAdjustmentsFromJson(jsonString);

import 'dart:convert';

ValueAdjustments valueAdjustmentsFromJson(String str) =>
    ValueAdjustments.fromJson(json.decode(str));

String valueAdjustmentsToJson(ValueAdjustments data) =>
    json.encode(data.toJson());

class ValueAdjustments {
  final int? id;
  final int? landapprDetailsId;
  final String? baseMarketval;
  final String? adjustmentFactors;
  final String? adjustment;
  final String? valueAdjustment;
  final String? marketValue;

  ValueAdjustments({
    this.id,
    this.landapprDetailsId,
    this.baseMarketval,
    this.adjustmentFactors,
    this.adjustment,
    this.valueAdjustment,
    this.marketValue,
  });

  ValueAdjustments copy({
    final int? id,
    final int? landapprDetailsId,
    final String? baseMarketval,
    final String? adjustmentFactors,
    final String? adjustment,
    final String? valueAdjustment,
    final String? marketValue,
  }) {
    return ValueAdjustments(
      id: id ?? this.id,
      landapprDetailsId: landapprDetailsId ?? this.landapprDetailsId,
      baseMarketval: baseMarketval ?? this.baseMarketval,
      adjustmentFactors: adjustmentFactors ?? this.adjustmentFactors,
      adjustment: adjustment ?? this.adjustment,
      valueAdjustment: valueAdjustment ?? this.valueAdjustment,
      marketValue: marketValue ?? this.marketValue,
    );
  }

  factory ValueAdjustments.fromJson(Map<String, dynamic> json) =>
      ValueAdjustments(
        id: json["id"],
        landapprDetailsId: json["landappr_details_id"],
        baseMarketval: json["base_marketval"],
        adjustmentFactors: json["adjustment_factors"],
        adjustment: json["adjustment"],
        valueAdjustment: json["value_adjustment"],
        marketValue: json["market_value"],
      );

  factory ValueAdjustments.fromJson2(Map<String, dynamic> json) =>
      ValueAdjustments(
        id: json["id"],
        landapprDetailsId: json["landapprDetailsId"],
        baseMarketval: json["baseMarketval"],
        adjustmentFactors: json["adjustmentFactors"],
        adjustment: json["adjustment"],
        valueAdjustment: json["valueAdjustment"],
        marketValue: json["marketValue"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "landappr_details_id": landapprDetailsId,
        "base_marketval": baseMarketval,
        "adjustment_factors": adjustmentFactors,
        "adjustment": adjustment,
        "value_adjustment": valueAdjustment,
        "market_value": marketValue,
      };
}
